Skip to content

applyMonitorMetadataRemediation

WRITE

Apply one explicitly reviewed monitor correction.

POST /api/v1/routes/applyMonitorMetadataRemediation
curl -X POST '<your-host>/api/v1/routes/applyMonitorMetadataRemediation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "monitorId": "string",
    "customerLocationId": "string",
    "expectedRevision": 0,
    "addressRevision": "string",
    "scope": "vendor_metadata"
  }'
Response
{
  "monitorId": "string",
  "provider": "otodata",
  "customerLocationId": "string",
  "revision": 0,
  "scope": "vendor_metadata",
  "vendorWriteApplied": true,
  "updatedFields": [
    "string"
  ],
  "notificationResolved": true,
  "providerEndpoint": "string"
}

Parameters

ParameterType
pattern ^[a-f0-9]{32}$
min length 1max length 256
> 0max 9007199254740991
min length 1max length 256
"vendor_metadata""aimrack_association"
pattern ^[a-f0-9]{64}$

Input schema

schema
{
  "type": "object",
  "properties": {
    "monitorId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 256
    },
    "customerLocationId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 256
    },
    "expectedRevision": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "vendorMetadataRevision": {
      "type": "string",
      "pattern": "^[a-f0-9]{64}$"
    },
    "addressRevision": {
      "type": "string",
      "pattern": "^[a-f0-9]{32}$"
    },
    "scope": {
      "type": "string",
      "enum": [
        "vendor_metadata",
        "aimrack_association"
      ]
    }
  },
  "required": [
    "monitorId",
    "customerLocationId",
    "expectedRevision",
    "addressRevision",
    "scope"
  ],
  "additionalProperties": false
}